# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name leksah-server

%global common_summary Leksah is an IDE for Haskell

%global common_description This package provides the interface to GHC-API for leksah.

Name:           %{pkg_name}
Version:        0.12.0.5
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          Development/Tools
# License in the LICENSE file is mentioned as GPLV2 while sources specify
# license as GPL.Hence GPL+.
License:        GPL+
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-Cabal-prof, ghc-base-prof, ghc-binary-prof, ghc-binary-shared-prof, ghc-bytestring-prof, ghc-containers-prof, ghc-directory-prof, ghc-filepath-prof, ghc-ghc-prof, ghc-ltk-prof, ghc-mtl-prof, ghc-parsec-prof,ghc-pretty-prof, ghc-process-leksah-prof, ghc-time-prof, ghc-deepseq-prof, ghc-hslogger-prof, ghc-network-prof, ghc-haddock-prof, ghc-unix-prof, ghc-attoparsec-prof, ghc-attoparsec-enumerator-prof, ghc-transformers-prof, ghc-enumerator-prof
Requires:       wget, cabal-install

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_package

%ghc_description


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/leksahecho
%attr(644,root,root) %{_datadir}/%{pkg_name}-%{version}/data/prefscoll.lkshp


%ghc_files


%changelog
* Sun Mar 18 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.0.5-1
- Package update to 0.12.0.5

* Mon Mar 12 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.0.4-1
- Package update to 0.12.0.4

* Sun Jan 22 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-11
- Update to cabal2spec-0.25.2. Remove dependency on ghc

* Sun Jan 08 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-10
- Rebuild for haskell-platform update

* Sun Dec 18 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-9
- Remove dependency on ghc-leksah-server. Bug 755394.

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.0.4-8.2
- rebuild with new gmp without compat lib

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 0.10.0.4-8.1
- rebuild with new gmp

* Sun Sep 25 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-8
- Update to cabal2spec 0.24.1
- Rebuild for gtk2hs related updates

* Sun Aug 28 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-7
- Rebuild for ghc-hslogger-1.1.5. Upgrade to cabal2spec-0.24.

* Sat Aug 13 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-6
- Fix requires list. Removed haddock. ghc7 ships with new haddock.

* Sun Jun 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-5
- Fix requires list to include ghc-leksah-server

* Wed Jun 22 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-4
- Rebuild for ghc-process-leksah update. 

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-3
- Upgrade to cabal2spec-0.23.2

* Sun Jun 5 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-2
- Modified dependencies to match with the cabal file
- Added some packages in requires list

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-1
- Upgrade to 0.10.0.4, update to cabal2spec-0.22.7.
- License in the LICENSE file is mentioned as GPLV2 while sources specify
- license as GPL.Hence GPL+.

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0-1
- upgrade to 0.10.0, update to cabal2spec-0.22.5.

* Sat Dec 18 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.8.0.8-1
- Modified license and depenedencies.
- Created patch to fix hslogger and ghc dependency.The maximum allowed versions for the respective packages are removed with this patch.

* Sat Dec 18 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.3
